di_hash_table Struct Reference
Di_hash_table

Hash table. More...

## Data Fields

size_t | size
size_t | nnodes
di_hash_node ** | nodes
di_mem_chunk * | mem_chunk
di_hash_func * | hash_func
di_equal_func * | key_equal_func
di_destroy_notify * | key_destroy_func
di_destroy_notify * | value_destroy_func

## Detailed Description

Hash table.

## Field Documentation

## hash_func

di_hash_func* hash_func

hashing function

Referenced by di_hash_table_new_full().

## key_destroy_func

di_destroy_notify* key_destroy_func

key destroy function, may NULL

Referenced by di_hash_table_destroy(), di_hash_table_insert(), and di_hash_table_new_full().

## key_equal_func

di_equal_func* key_equal_func

key compare function

Referenced by di_hash_table_new_full().

## mem_chunk

di_mem_chunk* mem_chunk

di_mem_chunk for allocating the nodes (di_hash_node)

Referenced by di_hash_table_destroy(), and di_hash_table_new_full().

## nnodes

size_t nnodes

number of nodes

Referenced by di_hash_table_insert(), di_hash_table_new_full(), and di_hash_table_size().

## nodes

di_hash_node** nodes

nodes

Referenced by di_hash_table_destroy(), di_hash_table_foreach(), and di_hash_table_new_full().

## size

size_t size

the overall size

Referenced by di_hash_table_destroy(), di_hash_table_foreach(), and di_hash_table_new_full().

## value_destroy_func

di_destroy_notify* value_destroy_func

value destroy function, may NULL

Referenced by di_hash_table_destroy(), di_hash_table_insert(), and di_hash_table_new_full().